#ifndef webkit_api_helpers_h
#define webkit_api_helpers_h

/* this private header */

#define WEBKIT_DEFINE_TYPE_INTERFACE(InterfaceName, interface_name ) \
GType \
interface_name##_get_type () { \
	static GType object_type = 0; \
	if (!object_type) { \
		static const GTypeInfo object_info = { \
			sizeof (InterfaceName), \
			NULL, \
			NULL, \
		}; \
		object_type = \
		  g_type_register_static (G_TYPE_INTERFACE, \
								  g_intern_static_string(#InterfaceName), \
								  &object_info, 0); \
	} \
	return object_type;\
}

#endif
