/* -*- Mode: C++; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* Copyright (c) 2007 Kimmo Kinnunen. All rights reserved.
 * bsd license
 */
#include "webkit-frame-load-delegate.h"
#include "webkit-api-helpers.h"

WEBKIT_DEFINE_TYPE_INTERFACE(WebkitFrameLoadDelegateInterface, webkit_frame_load_delegate);

#define SELF_IFACE WEBKIT_FRAME_LOAD_DELEGATE_GET_IFACE(self)

void webkit_frame_load_delegate_did_start_provisional_load(WebkitFrameLoadDelegate* self, WebkitFrame* frame)
{
  SELF_IFACE->did_start_provisional_load(frame);
}

void webkit_frame_load_delegate_did_receive_server_redirect_for_provisional_load(WebkitFrameLoadDelegate* self, WebkitFrame* frame)
{
  SELF_IFACE->did_receive_server_redirect_for_provisional_load(frame);
}

void webkit_frame_load_delegate_did_fail_provisional_load(WebkitFrameLoadDelegate* self, WebkitFrame* frame)
{
  SELF_IFACE->did_fail_provisional_load(frame);
}

void webkit_frame_load_delegate_did_commit_load(WebkitFrameLoadDelegate* self, WebkitFrame* frame)
{
  SELF_IFACE->did_commit_load(frame);
}

void webkit_frame_load_delegate_did_receive_title(WebkitFrameLoadDelegate* self, WebkitFrame* frame, const gchar* title)
{
  SELF_IFACE->did_receive_title(frame, title);
}

void webkit_frame_load_delegate_did_finish_load(WebkitFrameLoadDelegate* self, WebkitFrame* frame)
{
  SELF_IFACE->did_finish_load(frame);
}

void webkit_frame_load_delegate_did_fail_load(WebkitFrameLoadDelegate* self, WebkitFrame* frame)
{
  SELF_IFACE->did_fail_load(frame);
}
