/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* Copyright (c) 2007 Kimmo Kinnunen. All rights reserved.
 * bsd license
 */

#ifndef webkit_types_h
#define webkit_types_h

/* this is public header*/

/* this file forward declares all the type names in the api */


/* do not include this from any other headers than webkit-gtk public api headers
 * users should just include the .h file they need, not this file
 */

typedef struct WebkitFrame_ WebkitFrame;
typedef struct WebkitFrameClass_ WebkitFrameClass;
typedef struct WebkitView_ WebkitView;
typedef struct WebkitViewClass_ WebkitViewClass;
typedef struct WebkitFrameView_ WebkitFrameView;
typedef struct WebkitFrameLoadDelegate_ WebkitFrameLoadDelegate; /* dummy type*/
typedef struct WebkitFrameLoadDelegateInterface_ WebkitFrameLoadDelegateInterface;
typedef struct WebkitResourceLoadDelegate_ WebkitResourceLoadDelegate; /*dummy type*/
typedef struct WebkitResourceLoadDelegateInterface_ WebkitResourceLoadDelegateInterface;
typedef struct WebkitUIDelegate_ WebkitUIDelegate; /*dummy type*/
typedef struct WebkitUIDelegateInterface_ WebkitUIDelegateInterface;
typedef struct WebkitURLRequestClass_ WebkitURLRequestClass;
typedef struct WebkitURLRequest_ WebkitURLRequest;
typedef struct WebkitElementInfo_ WebkitElementInfo;
typedef struct WebkitMouseEventInfo_ WebkitMouseEventInfo;
#endif
